{****************************************************************************
    Constant definition
*****************************************************************************}
Const
    ST_MAX_WORD_LEN  =40;
    ST_DISPLAY_LEN   =15;

    ST_MAX_SUG_WORDS  =12;
    ST_GET_ALTERNATES =$1;

    ST_INTERACTIVE    =$1;
    ST_BEEP           =$2;

    STFLAG_USE_APOSTROPHE =$1;
    STFLAG_SPANISH_DLG    =$2; 
    STFLAG_APOSTROPHE_JOINER =$4;
    STFLAG_NO_NUM_IN_WORD = $8;
    STFLAG_DUTCH_DLG      = $10;
    STFLAG_GERMAN_DLG     = $20; 
    STFLAG_FRENCH_DLG     = $40;
    STFLAG_ALL_CAPS_TO_LOWER = $80;

{****************************************************************************
    Return codes from the 'SpellDict' routine.
****************************************************************************}
    STD_FOUND         =1;
    STD_NOT_FOUND     =0;
    STD_ERROR         =-1;

{******************************************************************************
    result codes from the SpellWord routine (variable 'code' in structure
    StrStResult).  To check for the specific condiction, use the AND (&)
    operator.
*******************************************************************************}

    ST_IGNORE        =$1;
    ST_REPLACE       =$2;
    ST_REFRESH       =$4;
    ST_TOO_LONG      =$8;
    ST_ERROR         =$10;
    ST_EXIT          =$20;
    ST_ADD           =$40;
    ST_INPUT         =$80; 
    ST_ALL           =$100; 

{******************************************************************************
    structure to return the result from the 'SpellWord' routine
*******************************************************************************}
type StrStResult = record
       code: Integer;                        {result codes}
       replace: array [0..ST_MAX_WORD_LEN] of char; {word to substitute for the current word}
       reserved: array [0..0] of char;        {pads to 42 bytes}
       reserved1: array[0..3] of char;        {this numeric variable can not be used because of alignment issue}
       AltWord: array [0..ST_MAX_SUG_WORDS-1, 0..ST_MAX_WORD_LEN] of char;  {each alternate word} 
    end;

